# Generated by Django 2.1.7 on 2019-05-21 08:26

from django.db import migrations, models
import django.db.models.deletion

from angled.models import ref
try:
    dflt_level = ref.Term.objects.first().id
except Exception:
    dflt_level = 0


class Migration(migrations.Migration):

    dependencies = [
        ('angled', '0009_domainfieldmapping'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='info_unit_ppas_step',
            name='project',
        ),
        migrations.RemoveField(
            model_name='info_unit_ppas_step',
            name='transaction',
        ),
        migrations.RemoveField(
            model_name='info_unit_ppas_step',
            name='user',
        ),
        migrations.RemoveField(
            model_name='permission_info_unit_ppas_step',
            name='group',
        ),
        migrations.RemoveField(
            model_name='info_unit_school_seats',
            name='school_level',
        ),
        migrations.AddField(
            model_name='info_unit_school_seats',
            name='school_level_basic',
            field=models.ForeignKey(
                default=dflt_level,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='of_school_level_school_level_basic',
                to='angled.Term'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='info_unit_occupant',
            name='occupying_status',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='of_occupying_status_occupying_status',
                to='angled.Term'),
        ),
        migrations.AlterField(
            model_name='info_unit_ppas_type',
            name='value',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='of_ppas_project_type_value',
                to='angled.Term'),
        ),
        migrations.DeleteModel(name='info_unit_ppas_step', ),
        migrations.DeleteModel(name='permission_info_unit_ppas_step', ),
    ]
